gtranslator(1)

NAME
gtranslator -- a comfortable gettext po file editor with many bells and whistles.

SYNOPSIS
gtranslator [ --help ] [ --version ] [ -a filename ] [ -e po-file ] [ -g geometry-string ] [ -l po-file-to-learn ] [ -b ] [ -s ]

DESCRIPTION
gtranslator is a comfortable gettext po file editor with many features like special char featured editing, plural forms view, div. charset support, comfortable prefs, list view of messages, regular expression based search function, compile/update possibilities and much much more.

Of course all standard features of a good application like DnD, session support, supplement files for mime types and menu items are present.

Instant comment view, a comfortable quick navigation messages table with customizable colors, colorschemes, UTF-8 support, a high level of preferizabilation and a personal learn buffer/translation memory with autotranslation capabilities are the main features of gtranslator besides the comfortable editing of the translation entries.

OPTIONS

-a --auto-translate=po-file
    Autotranslates the given po file with the entries from the learn buffer and exits afterwards.

-e --export-learn-buffer=po-file-to-export
    Exports the learn buffer contents into the given plain gettext po file and exits.

-g --geometry=geometry
    Let's you specify the geometry of gtranslator's main window.

-l --learn=po-file-to-learn
    Learns the given po file within the command line without starting the GUI. The personal learn buffer is used as a translation memory to autoaccomplish missing translations/entries.

-s --learn-statistics
    Print out some statistics and information about the learn buffer of gtranslator on the commandline.

--display
    With this option you can select on which screen gtranslator should appear.

--help
    Shows you a little help autogenerated by GNOME and with the options mentioned above.

--version
    Prints out the version number of gtranslator.

--usage
    Shows you the pill of options without an explanation.

FILES

~/.gconf/apps/gtranslator

Your personal gtranslator settings will be stored there.

~/.gtranslator
    This directory is used by gtranslator for all its "private" files (e.g. temporary files).

~/.gtranslator/colorschemes/
    Your personal colorschemes can be placed in this directory -- gtranslator does also list the colorschemes in this directory in the colorscheme selection box.

~/.gtranslator/etstates/
    The state file for the messages table/tree is stored in this directory.

~/.gtranslator/umtf/
    Your personal learn buffers (in UMTF format) are stored in this directory -- the learn buffer is used for auto translation issues.

~/.gtranslator/files/
    Temporary files used by gtranslator are stored in this directory (mostly this directory should be empty).

LEARN BUFFER
The learn buffer is the implementation of a personal translation memory (TM) in gtranslator. gtranslator uses the UMTF (a compressed XML file which is normally quite good human readable if uncompressed) format for storing its learned strings.
Your learned strings are then available for the autotranslation feature of gtranslator where gtranslator automatically fills in the corresponding and valuable translations for any message which has already been learned previously. This results in a fairly high percentage of prefilled/pretranslated messages.
The common and good style of working with the learn buffer and with the autotranslation should be to learn the main po/translation files for your language via gtranslator via calling gtranslator -n -l po-file-to-learn on the command line; this will put the translated strings from this po file into your personal learn buffer.
You should learn the main po files (for GNOME for example gnumeric, nautilus, evolution or any other bigger, already translated package's po file) for your language); you can use a new script from the gtranslator package to automatise this task a little bit: it's “build-gtranslator-learn-buffer.sh” which is installed into gtranslator's scripts directory which you can see by calling gtranslator -b and you simply execute the script with its full path and simply follow the information on the command line for it.
Afterwards you can simply use the "Autotranslation" menu entry from the GUI or use the "F10" hotkey to let gtranslator autotranslate all missing translations from your personal learn buffer. This will ease your translation work and make a big portion of the po files be pre-translated.
With a fairly big personal learn buffer of about 2 MB you can achieve many pre-translated messages for a new project/translation.
If you want to use the stored learn buffer contents to produce a po file with all the “learned” translations, you can also use the “export learn buffer” capability of gtranslator to get a plain po file version of the learn buffer.

USAGE EXAMPLES
Some examples for the options.

gtranslator -b
    Shows you the real build specs/dates of gtranslator.

gtranslator -s
    Give me statistics about the learn buffer of gtranslator.

gtranslator -n -l po-file-to-learn
    Learns the given po file “po-file-to-learn” on the command line without starting up the GUI.

gtranslator -a po-file
    Autotranslates all missing entries from the learn buffer if possible and exits.

gtranslator -e po-file-to-export
    Exports your current learn buffer to the given plain gettext po file (“po-file-to-export”).

gtranslator po-file
    Starts gtranslator with the given po-file loaded on startup.

gtranslator -g “460x320+0+0”
    Lets gtranslator appear on the left upper edge of the screen “+0+0” and gtranslator is sized to “460x320” if possible -- if gtranslator needs more size for its window contents, it'll expand itself to the necessary dimensions -- even if you defined a smaller geometry string.

LICENSE
gtranslator is distributed under the GNU GPL V 3.0 or greater.

AUTHORS
Ross Golder <ross@kabalak.net>, Fatih Demir <kabalak@kabalak.net> (previously also: Gediminas Paulauskas <menesis@kabalak.net>, Thomas Ziehmer <thomas@kabalak.net>, Kevin Vandersloot <kfv101@psu.edu> and Peeter Vois <peeter@kabalak.net>).

WEBSITE
https://wiki.gnome.org/Apps/Gtranslator

BUGREPORTS
You can deliver bug reports to the gtranslator development team to our bug base via https://gitlab.gnome.org/GNOME/gtranslator/issues